diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 7004c4e..01b7634 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -4122,11 +4122,12 @@ credits()
 --RJohannes Grabmeier     Matt Grayson           Klaus Ebbe Grue
 --RJames Griesmer         Vladimir Grinberg      Oswald Gschnitzer
 --RJocelyn Guidry
---RSteve Hague            Satoshi Hamaguchi      Mike Hansen
---RRichard Harke          Vilya Harvey           Martin Hassner
---RArthur S. Hathaway     Dan Hatton             Waldek Hebisch
---RKarl Hegbloom          Ralf Hemmecke          Henderson
---RAntoine Hersen         Gernot Hueber
+--RGaetan Hache           Steve Hague            Satoshi Hamaguchi
+--RMike Hansen            Richard Harke          Bill Hart
+--RVilya Harvey           Martin Hassner         Arthur S. Hathaway
+--RDan Hatton             Waldek Hebisch         Karl Hegbloom
+--RRalf Hemmecke          Henderson              Antoine Hersen
+--RRoger House            Gernot Hueber
 --RPietro Iglio
 --RAlejandro Jakubi       Richard Jenks
 --RKai Kaminski           Grant Keady            Tony Kennedy
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 07b1e91..e3c43b5 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -133,7 +133,7 @@ of effort. We would like to acknowledge and thank the following people:
 "Vilya Harvey           Martin Hassner         Arthur S. Hathaway"
 "Dan Hatton             Waldek Hebisch         Karl Hegbloom"
 "Ralf Hemmecke          Henderson              Antoine Hersen"
-"Gernot Hueber"
+"Roger House            Gernot Hueber"
 "Pietro Iglio"
 "Alejandro Jakubi       Richard Jenks"
 "Kai Kaminski           Grant Keady            Wilfrid Kendall"
diff --git a/changelog b/changelog
index a7723f5..ac99e6e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20120122 rho src/axiom-website/patches.html 20120122.01.rho.patch
+20110122 rho books/bookvol5.pamphlet add Roger House
+20110122 rho books/bookvol10.4.pamphlet add Roger House
+20120122 rho readme add Roger House
+20120122 rho src/axiom-website/books.html fix broken links
+20120122 rho Roger House <rhouse@sonic.net>
 20120121 tpd src/axiom-website/patches.html 20120121.01.tpd.patch
 20120121 tpd src/doc/axiom.sty fix comments
 20120121 tpd src/scripts/tex/axiom.sty fix comments
diff --git a/readme b/readme
index 8ccf176..6f7ed13 100644
--- a/readme
+++ b/readme
@@ -226,7 +226,7 @@ at the axiom command prompt will prettyprint the list.
 "Vilya Harvey           Martin Hassner         Arthur S. Hathaway"
 "Dan Hatton             Waldek Hebisch         Karl Hegbloom"
 "Ralf Hemmecke          Henderson              Antoine Hersen"
-"Gernot Hueber"
+"Roger House            Gernot Hueber"
 "Pietro Iglio"
 "Alejandro Jakubi       Richard Jenks"
 "Kai Kaminski           Grant Keady            Wilfrid Kendall"
diff --git a/src/axiom-website/books.html b/src/axiom-website/books.html
index 6872512..cbd38e7 100644
--- a/src/axiom-website/books.html
+++ b/src/axiom-website/books.html
@@ -121,12 +121,12 @@
  <li>Books
   <ul>
    <li>
-    <a href="axiom-website/bookvol0.pdf">
+    <a href="bookvol0.pdf">
      Jenks, R.D and Sutor R, "Axiom: The Scientific Computation System"
     </a>
    </li>
    <li>
-    <a href="axiom-website/bookvol1.pdf">
+    <a href="bookvol1.pdf">
      Daly, T, "Axiom Volume 1: Tutorial"
     </a>
    </li>
@@ -268,4 +268,4 @@ other month when the system is distributed. The current volume set is:
 </ul>
 
 </body>
-</html>
\ No newline at end of file
+</html>
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 7530067..6cf246f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3769,5 +3769,7 @@ src/input/pasta.input graphics test cases<br/>
 books/bookvolbib add wei-jiang reference<br/>
 <a href="patches/20120121.01.tpd.patch">20120121.01.tpd.patch</a>
 books/bookvol0.pamphlet add Appendix E<br/>
+<a href="patches/20120122.01.rho.patch">20120122.01.rho.patch</a>
+src/axiom-website/books.html fix broken links<br/>
  </body>
 </html>
